jQuery(document).ready(function($){
    
    $('.area-shape-square').click(function() {
        $('.area-length').val($('.area-length').prop('defaultValue'));
        $('.area-width').val($('.area-width').prop('defaultValue'));
        $('.area-length, .area-width').show();
        $('.area-diameter, .area-height, .area-widthofbase').hide();
    });
    
    $('.area-shape-circle').click(function() {
        $('.area-diameter').val($('.area-diameter').prop('defaultValue'));
        $('.area-diameter').show();
        $('.area-length, .area-width, .area-height, .area-widthofbase').hide();
    });
    
    $('.area-shape-triangle').click(function() {
		$('.area-height').val($('.area-height').prop('defaultValue'));
		$('.area-widthofbase').val($('.area-widthofbase').prop('defaultValue'));
        $('.area-height, .area-widthofbase').show();
        $('.area-diameter, .area-width, .area-length').hide();
    }); 
    
    $('input[type=number]').on("keydown", function(event) {
        if(!((event.keyCode > 95 && event.keyCode < 106)
            || (event.keyCode > 47 && event.keyCode < 58) 
            || event.keyCode == 8 || event.keyCode == 46 
            || event.keyCode == 37 || event.keyCode == 39
            || event.keyCode == 9 || event.keyCode == 190 
            )) {
            return false;
        }
    });  
    
    $('.calculator').submit(function(event) {
		
        event.preventDefault();
        
		$('.calculator-results').fadeOut("slow");
           
		var turf_squared = 0;
        var area_squared = 0;
        var area_cubed = 0;
        
        var shape = $(':radio[name=area-shape-radio]:checked').val();
        var units = $(':radio[name=area-units-radio]:checked').val();
        var length = parseFloat($('.area-length').val());
        var width = parseFloat($('.area-width').val());
        var diameter = parseFloat($('.area-diameter').val());
        var height = parseFloat($('.area-height').val());
        var widthofbase = parseFloat($('.area-widthofbase').val()); 
        var depth = parseFloat($(':radio[name=area-depth-radio]:checked').val());
		var turf_length = 0;
		var turf_width = 0;
		var turf_diameter = 0;
		var turf_height = 0;
		var	turf_widthofbase = 0;
		var area_length = 0;
		var area_width = 0;
		var area_diameter = 0;
		var area_height = 0;
		var	area_widthofbase = 0;
		var area_depth = 0;

        if (units == 'metres') {
            turf_length = length * 1.0936133;
            turf_width = width * 1.0936133;
            turf_diameter = diameter * 1.0936133;                            
            turf_height = height * 1.0936133;
			turf_widthofbase = widthofbase * 1.0936133;
			area_length = length;
            area_width = width; 
			area_diameter = diameter;
			area_height = height;
			area_widthofbase = widthofbase;
            area_depth = (depth == 0 ? 0 : (depth / 39.370)); 
        }

        if (units == 'feet') {
            turf_length = length * 0.333333;
            turf_width = width * 0.333333;
            turf_diameter = diameter * 0.333333;                             
            turf_height = height * 0.333333;    
			turf_widthofbase = widthofbase * 0.333333;    	
			area_length = length / 3.2808;
            area_width = width / 3.2808; 
			area_diameter = diameter / 3.2808;
			area_height = height / 3.2808;
			area_widthofbase = widthofbase / 3.2808;
            area_depth = (depth == 0 ? 0 : (depth / 39.370)); 
        }
        
        if (units == 'yards') {
            turf_length = length;
            turf_width = width;
            turf_diameter = diameter;                            
            turf_height = height;    
			turf_widthofbase = widthofbase; 
            area_length = length * 0.9144;
            area_width = width * 0.9144; 
			area_diameter = diameter * 0.9144;
			area_height = height * 0.9144;
			area_widthofbase = widthofbase * 0.9144;
            area_depth = (depth == 0 ? 0 : (depth / 39.370));     
        }        

        if (shape == 'square') {
            turf_squared = (turf_length * turf_width).toFixed(2); 
			area_squared = (area_length * area_width);    
            area_cubed = (area_length * area_width * area_depth).toFixed(2);
			
        }
        
        if (shape == 'triangle') {
            turf_squared = ((turf_height * turf_widthofbase)*(0.5)).toFixed(2);
            area_squared = ((area_height * area_widthofbase)*(0.5)).toFixed(2);
			area_cubed = (((area_height * area_widthofbase)*(0.5)) * area_depth).toFixed(2);
        }

        if (shape == 'circle') {
            turf_squared = (((turf_diameter / 2) * (turf_diameter / 2) * Math.PI)).toFixed(2);
			area_squared = ((area_diameter / 2) * (area_diameter / 2) * Math.PI);
			area_cubed = (Math.PI * area_depth * (area_diameter / 2) * (area_diameter / 2)).toFixed(2);
        }

        if ( area_squared == '0.00' || isNaN( area_squared ) ) {
            $('.calculator-results').promise().done(function(){
                $('.turf-result').html('--');
                $('.soil-result').html('--');
                $('.mbc-result').html('--');
                $('.top-dressing-result').html('--');
                $('.fertiliser-result').html('--');
                $('.turf-notice').html('');
                $('.calculator-results').fadeIn("slow"); 
            });
            return false;
        } 
        
        $('.calculator-results').promise().done(function(){
            $('.turf-result').html(Math.ceil(turf_squared) + ' Rolls<br/>' + turf_squared + '&#40;yd&sup2;&#41;');
            $('.soil-result').html((area_cubed * 1.7).toFixed(2) + ' tonnes');
            $('.mbc-result').html(area_cubed + 'm&sup3<br/>');
            $('.top-dressing-result').html(((area_squared * 0.005) * 1.7).toFixed(2) + ' tonnes');
            $('.fertiliser-result').html((area_squared * 0.035).toFixed(2) + 'kg<br/>' + (Math.ceil((area_squared * 0.035)) <= 15 ? Math.ceil((area_squared * 0.035)/5) + ' x 5kg tubs' : Math.ceil((area_squared * 0.035)/25) + ' x 25kg bags') );
            $('.turf-notice').html('We recommend an extra 5&#37; of turf to account for off cuts, using the calculation above this would equate to ' + Math.ceil((turf_squared/100)*5) + (Math.ceil((turf_squared/100)*5) == 1 ? ' roll' : ' rolls') + ' of extra turf.');
            $('.calculator-results').fadeIn("slow");            
        });   
        
    });
    
});